Package net.shibboleth.idp.authn

# Class AuthenticationResult.DescriptorReusePredicate

java.lang.Object
net.shibboleth.idp.authn.AuthenticationResult.ProxyRestrictionReusePredicate
net.shibboleth.idp.authn.AuthenticationResult.DescriptorReusePredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

Enclosing class:
  AuthenticationResult

class AuthenticationResult.DescriptorReusePredicate extends AuthenticationResult.ProxyRestrictionReusePredicate
Inner class that delegates reuse condition evaluation to the underlying `AuthenticationFlowDescriptor`.

## Constructor Summary

Constructors
Constructor
Description
`DescriptorReusePredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### DescriptorReusePredicate

DescriptorReusePredicate()

## Method Details

### test

public boolean test(@Nullable ProfileRequestContext input)

Specified by:
  `test` in interface `Predicate<ProfileRequestContext>`
Overrides:
  `test` in class `AuthenticationResult.ProxyRestrictionReusePredicate`